Page MenuHomePhabricator

configure Qubes-Whonix XFCE default start menu entries (whitelisted appmenus)
Closed, ResolvedPublic

Details

Impact
Normal

Event Timeline

Patrick triaged this task as Normal priority.Dec 7 2018, 12:21 PM
Patrick created this task.
Patrick updated the task description. (Show Details)Apr 8 2019, 12:22 PM
Patrick updated the task description. (Show Details)Apr 12 2019, 3:19 PM
Patrick changed the task status from testing-in-next-build-required to Open.Jun 20 2019, 3:51 PM

anon-whonix / sys-whonix lacks a lot entries.

Whonix TemplateVMs look ok.

sys-whonix shows sdwdate-gui.desktop by default but not

  • xfce4-terminal.desktop
  • Thunar.desktop
  • and most others too

I guess https://github.com/Whonix/qubes-template-whonix/blob/master/appmenus_buster_whonix-gateway/vm-whitelisted-appmenus.list is the right file since that file contains sdwdate-gui.desktop.

Any idea why default appmenus are broken? @marmarek

It works for me (checked with qubes-template-whonix-gw-15-4.0.1-201906201340).

You can inspect ~/.local/share/qubes-appmenus/sys-whonix/whitelisted-appmenus.list to see if if has everything expected listed (ignore extra empty lines). Then you can check if expected .desktop files are in ~/.local/share/qubes-appmenus/sys-whonix/apps - if not, check ~/.local/share/qubes-appmenus/whonix-gw-15/apps.templates. If they are missing in the latter too, then something gone wrong with retrieving them from the template during installation. You can try to find more details in journalctl. And retry with qvm-sync-appmenus whonix-gw-15.

QVMM applications tab looks good btw. Just the default applications listed in Qubes start menu (without ever using QVMM applications tab) is not properly populated.

[user@dom0 ~]$ cat ~/.local/share/qubes-appmenus/sys-whonix/whitelisted-appmenus.list 
sdwdate-gui.desktop
[user@dom0 ~]$ ls -la ~/.local/share/qubes-appmenus/sys-whonix/apps/
total 24
drwxr-xr-x 2 user user 4096 Jun 20 09:48 .
drwxr-xr-x 4 user user 4096 Jun 20 09:47 ..
-rw-r--r-- 1 user user  239 Jun 20 09:47 sys-whonix-qubes-vm-settings.desktop
-rw-r--r-- 1 user user  415 Jun 20 09:47 sys-whonix-sdwdate-gui.desktop
-rw-r--r-- 1 user user   88 Jun 20 09:47 sys-whonix-vm.directory
-rw-r--r-- 1 user user  532 Jun 20 09:47 sys-whonix-whonixcheck.desktop
[user@dom0 ~]$ ls -la ~/.local/share/qubes-appmenus/whonix-gw-15/apps.templates/
total 148
drwxr-xr-x 2 user user 4096 Jun 20 05:34 .
drwxr-xr-x 6 user user 4096 Jun 20 05:33 ..
-rw-rw-r-- 1 user user  466 Jun 20 05:34 anon_connection_wizard.desktop
-rw-rw-r-- 1 user user  405 Jun 20 05:34 debian-uxterm.desktop
-rw-rw-r-- 1 user user  413 Jun 20 05:34 debian-xterm.desktop
-rw-rw-r-- 1 user user  388 Jun 20 05:34 exo-file-manager.desktop
-rw-rw-r-- 1 user user  377 Jun 20 05:34 exo-mail-reader.desktop
-rw-rw-r-- 1 user user  503 Jun 20 05:34 exo-preferred-applications.desktop
-rw-rw-r-- 1 user user  406 Jun 20 05:34 exo-terminal-emulator.desktop
-rw-rw-r-- 1 user user  376 Jun 20 05:34 exo-web-browser.desktop
-rw-rw-r-- 1 user user  409 Jun 20 05:34 firejail-ui.desktop
-rw-rw-r-- 1 user user  377 Jun 20 05:34 firetools.desktop
-rw-rw-r-- 1 user user  445 Jun 20 05:34 gateway-arm.desktop
-rw-rw-r-- 1 user user  409 Jun 20 05:34 gateway-reloadtor.desktop
-rw-rw-r-- 1 user user  368 Jun 20 05:34 gateway-stoptor.desktop
-rw-rw-r-- 1 user user  395 Jun 20 05:34 gateway-tordata.desktop
-rw-rw-r-- 1 user user  456 Jun 20 05:34 gateway-torrc.desktop
-rw-rw-r-- 1 user user  445 Jun 20 05:34 gateway-torrcexamples.desktop
-rw-rw-r-- 1 user user  469 Jun 20 05:34 mate-notification-properties.desktop
-rw-rw-r-- 1 user user  405 Jun 20 05:34 mousepad.desktop
-rw-rw-r-- 1 user user  399 Jun 20 05:34 onioncircuits.desktop
-rw-rw-r-- 1 user user  355 Jun 20 05:34 qubes-run-terminal.desktop
-rw-rw-r-- 1 user user  436 Jun 20 05:34 restart-tor-gui.desktop
-rw-rw-r-- 1 user user  403 Jun 20 05:34 sdwdate-gui.desktop
-rw-rw-r-- 1 user user  453 Jun 20 05:34 Thunar-bulk-rename.desktop
-rw-rw-r-- 1 user user  459 Jun 20 05:34 Thunar.desktop
-rw-rw-r-- 1 user user  422 Jun 20 05:34 thunar-settings.desktop
-rw-rw-r-- 1 user user  441 Jun 20 05:34 tor-control-panel.desktop
-rw-rw-r-- 1 user user  378 Jun 20 05:34 vim.desktop
-rw-rw-r-- 1 user user  480 Jun 20 05:34 whonixcheck.desktop
-rw-rw-r-- 1 user user  530 Jun 20 05:34 whonix-firewall30default.desktop
-rw-rw-r-- 1 user user  492 Jun 20 05:34 whonix-firewall50user.desktop
-rw-rw-r-- 1 user user  419 Jun 20 05:34 whonix-reloadfirewall.desktop
-rw-rw-r-- 1 user user  451 Jun 20 05:34 whonix-repository-wizard.desktop
-rw-rw-r-- 1 user user  397 Jun 20 05:34 xarchiver.desktop
-rw-rw-r-- 1 user user  438 Jun 20 05:34 xfce4-terminal.desktop
-rw-rw-r-- 1 user user  471 Jun 20 05:34 xfce4-terminal-settings.desktop
qvm-sync-appmenus whonix-gw-15 
Warning: ignoring key 'Comment' of whonix-reloadfirewall
Warning: ignoring key 'Comment' of xarchiver
Warning: ignoring key 'Name' of display-im6.q16
whonix-gw-15: Updating mousepad
whonix-gw-15: Updating qubes-run-terminal
whonix-gw-15: Updating gateway-stoptor
whonix-gw-15: Failed to get icon for gateway-stoptor: Something went wrong with receiver
whonix-gw-15: Updating vim
whonix-gw-15: Updating gateway-arm
whonix-gw-15: Updating tor-control-panel
whonix-gw-15: Updating debian-uxterm
whonix-gw-15: Updating firejail-ui
whonix-gw-15: Updating whonix-firewall30default
whonix-gw-15: Updating anon_connection_wizard
whonix-gw-15: Creating display-im6.q16
Warning: not creating/updating '/home/user/.local/share/qubes-appmenus/whonix-gw-15/apps.templates/display-im6.q16.desktop' because of missing 'Name' key
whonix-gw-15: Updating restart-tor-gui
whonix-gw-15: Updating xfce4-terminal
whonix-gw-15: Updating xfce4-terminal-settings
whonix-gw-15: Updating exo-preferred-applications
whonix-gw-15: Updating exo-file-manager
whonix-gw-15: Updating exo-web-browser
whonix-gw-15: Updating xarchiver
whonix-gw-15: Updating whonix-reloadfirewall
whonix-gw-15: Updating exo-terminal-emulator
whonix-gw-15: Updating Thunar
whonix-gw-15: Updating gateway-reloadtor
whonix-gw-15: Updating exo-mail-reader
whonix-gw-15: Updating mate-notification-properties
whonix-gw-15: Updating firetools
whonix-gw-15: Updating gateway-torrc
whonix-gw-15: Updating Thunar-bulk-rename
whonix-gw-15: Updating sdwdate-gui
whonix-gw-15: Failed to get icon for sdwdate-gui: Something went wrong with receiver
whonix-gw-15: Updating whonixcheck
whonix-gw-15: Updating gateway-tordata
whonix-gw-15: Failed to get icon for gateway-tordata: No icon received
whonix-gw-15: Updating debian-xterm
whonix-gw-15: Updating whonix-repository-wizard
whonix-gw-15: Updating onioncircuits
whonix-gw-15: Updating whonix-firewall50user
whonix-gw-15: Updating gateway-torrcexamples
whonix-gw-15: Updating thunar-settings
whonix-gw-15: Creating appmenus
sys-whonix: Creating appmenus

sudo journalctl -f in dom0 does not show anything when running qvm-sync-appmenus whonix-gw-15 in dom0.

How have you created sys-whonix? Default applications list is copied from template only at VM creation time. If you modify it (using VM settings for example), or just switch template, it isn't re-copied from template (it would break user's changes).

Patrick closed this task as Resolved.Jun 27 2019, 10:31 AM
Patrick claimed this task.

Seems ok after full removal and re-creation.